Package org.gradle.tooling.events.task.java

# Interface JavaCompileTaskOperationResult.AnnotationProcessorResult

Enclosing interface:
  `JavaCompileTaskOperationResult`

public static interface JavaCompileTaskOperationResult.AnnotationProcessorResult
The results of an annotation processor used during compilation.

Since:
  5.1

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `JavaCompileTaskOperationResult.AnnotationProcessorResult.Type`
  Type of annotation processor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Returns the fully-qualified class name of this annotation processor.
  `Duration`
  `getDuration()`
  Returns the total execution time of this annotation processor.
  `JavaCompileTaskOperationResult.AnnotationProcessorResult.Type`
  `getType()`
  Returns the type of this annotation processor.

- ## Method Details

  - ### getClassName

    String getClassName()
    Returns the fully-qualified class name of this annotation processor.

  - ### getType

    JavaCompileTaskOperationResult.AnnotationProcessorResult.Type getType()
    Returns the type of this annotation processor.

    Can be used to determine whether this processor was incremental.

  - ### getDuration

    Duration getDuration()
    Returns the total execution time of this annotation processor.